/**
 * @function _bud
 */
'use strict'

const pkg = require('../package.json')
const fs = require('fs')
const stringcase = require('stringcase')

/** @lends _bud */
function _bud (tmpl, env, model, params) {
  return {
    force: false,
    mode: '644',
    path: `${stringcase.snakecase(env)}/${stringcase.snakecase(model)}.seed.js`,
    mkdirp: true,
    tmpl: tmpl,
    data: {
      params,
      pkg,
      model,
      generator: 'coz',
      today: new Date().toLocaleDateString(),
      env: env,
      production: env === 'production'
    }
  }
}

_bud.seed = function (env, params) {
  return {
    force: false,
    mode: '644',
    path: `${stringcase.snakecase(env)}/_seed.js`,
    mkdirp: true,
    tmpl: fs.readFileSync(__dirname + '/../asset/_seed.hbs').toString(),
    data: {
      params,
      pkg,
      generator: 'coz',
      today: new Date().toLocaleDateString()
    }
  }
}

module.exports = _bud
